/* 
    IntraPMS Project
    사원 클래스

    
*/

package com.etri.groupware.organization ;

// 사원을 위한 클래스로 기본적인 attribute들만 가지고 있고,
// 이 framework 을 사용하는 개발자가 추가로 필요한 attribute가 있을 경우
// 상속받아서 구현한다.
public class Official {
	
	// 사원의 ID
	private String id ;
	// 사원의 패스워드
	private String password ;
	// 사원의 주민 등록 번호
	private String residentRegistrationNum ;
	// 사원의 이름
	private String firstName ;
	// 사원의 성
	private String familyName ;
	// 사원의 성별
	private boolean sex ;
	// 사원의 나이
	private int age ;
	// 사원의 주소
	private String address ;
	// 사원의 우편 번호
	private String zipCode ;
	// 사원의 전화 번호
	private String phoneNumber ;
	// 사원의 전자 메일 주소
	private String email ;
	// 사원의 휴대 전화 번호
	private String personalPhone ;
	// 사원의 주요 업무
	private String weightWork ;
	// 사원이 속한 부서
	private String department ;
	// 사원이 속한 팀
	private String team ;
	// 사원의 지위
	private String orders ;
	// 사원의 입사일
	private java.util.Calendar enterCompanyDay ;
	// 사원의 집 전화 번호
	private String homePhoneNumber ;
	// 사원의 팩스 번호
	private String faxNumber ;
	// 사원의 기타 정보
	private String others ;
	// 사원의 사용자(1) 또는 관리자(0)
	private int userKind ;
	// 사원의 이미지 파일 이름
	private String imagePath ;
		
	public String getId ( ) {
		return id ;
	}
	public void setId ( String id ) {
		this.id = id ;
	}
	
	public String getPassword ( ) {
		return password ;
	}
	public void setPassword ( String password ) {
		this.password = password ;
	}
	
	public String getResidentRegistrationNum ( ) {
		return residentRegistrationNum ;
	}
	public void setResidentRegistrationNum ( String residentRegistrationNum ) {
		this.residentRegistrationNum = residentRegistrationNum ;
	}
	
	public String getFirstName ( ) {
		return firstName ;
	}
	public void setFirstName ( String firstName ) {
		this.firstName = firstName ;
	}
	
	public String getFamilyName ( ) {
		return familyName ;
	}
	public void setFamilyName ( String familyName ) {
		this.familyName = familyName ;
	}
	
	public boolean getSex ( ) {
		return sex ;
	}
	public void setSex ( boolean sex ) {
		this.sex = sex ;
	}
	
	public int getAge ( ) {
		return age ;
	}
	public void setAge ( int age ) {
		this.age = age ;
	}
	
	public String getAddress ( ) {
		return address ;
	}
	public void setAddress ( String address ) {
		this.address = address ;
	}
	
	public String getZipCode ( ) {
		return zipCode ;
	}
	public void setZipCode ( String zipCode ) {
		this.zipCode = zipCode ;
	}
	
	public String getPhoneNumber ( ) {
		return phoneNumber ;
	}
	public void setPhoneNumber ( String phoneNumber ) {
		this.phoneNumber = phoneNumber ;
	}
	
	public String getEmail ( ) {
		return email ;
	}
	public void setEmail ( String email ) {
		this.email = email ;
	}
	
	public String getPersonalPhone ( ) {
		return personalPhone ;
	}
	public void setPersonalPhone ( String personalPhone ) {
		this.personalPhone = personalPhone ;
	}
	
	public String getWeightWork ( ) {
		return weightWork ;
	}
	public void setWeightWork ( String weightWork ) {
		this.weightWork = weightWork ;
	}
	
	public String getDepartment ( ) {
		return department ;
	}
	public void setDepartment ( String department ) {
		this.department = department ;
	}
	
	public String getTeam ( ) {
		return team ;
	}
	public void setTeam ( String team ) {
		this.team = team ;
	}
	
	public String getOrders ( ) {
		return orders ;
	}
	public void setOrders ( String orders ) {
		this.orders = orders ;
	}
	
	public java.util.Calendar getEnterCompanyDay ( ) {
		return enterCompanyDay ;
	}
	public void setEnterCompanyDay ( java.util.Calendar enterCompanyDay ) {
		this.enterCompanyDay = enterCompanyDay ;
	}
	
	public String getHomePhoneNumber ( ) {
		return homePhoneNumber ;
	}
	public void setHomePhoneNumber ( String homePhoneNumber ) {
		this.homePhoneNumber = homePhoneNumber ;
	}
	
	public String getFaxNumber ( ) {
		return faxNumber ;
	}
	public void setFaxNumber ( String faxNumber ) {
		this.faxNumber = faxNumber ;
	}
	
	public String getOthers ( ) {
		return others ;
	}
	public void setOthers ( String others ) {
		this.others = others ;
	}
	
	public int getUserKind ( ) {
		return userKind ;
	}
	public void setUserKind ( int userKind ) {
		this.userKind = userKind ;
	}
	
	public String getImagePath ( ) {
		return imagePath ;
	}
	public void setImagePath ( String imagePath ) {
		this.imagePath = imagePath ;
	}	
}